Package org.apache.lucene.misc

# Class HighFreqTerms.DocFreqComparator

java.lang.Object
org.apache.lucene.misc.HighFreqTerms.DocFreqComparator

All Implemented Interfaces:
  `Comparator<TermStats>`

Enclosing class:
  `HighFreqTerms`

public static final class HighFreqTerms.DocFreqComparator extends Object implements Comparator<TermStats>
Compares terms by docTermFreq

## Constructor Summary

Constructors
Constructor
Description
`DocFreqComparator()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(TermStats a, TermStats b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### DocFreqComparator

public DocFreqComparator()

## Method Details

### compare

public int compare(TermStats a, TermStats b)

Specified by:
  `compare` in interface `Comparator<TermStats>`